You are not logged in.

#1 2013-02-14 10:41:04

xantares
Member
Registered: 2013-02-14
Posts: 11

libftdi package upgrade

Hi,

I flagged the libftdi package as outdated:
https://www.archlinux.org/packages/extra/i686/libftdi

I updated it and sent an email to the last packager with no luck.
Maybe someone here knows how I could be of some help for this package.

Regards,
M.

# Contributor: Tobias Powalowski <tpowa@archlinux.org>

pkgbase=libftdi
pkgname=('libftdi' 'python-libftdi')
pkgver=1.0
pkgrel=1
license=('GPL2' 'LGPL2.1')
arch=('i686' 'x86_64')
url="http://www.intra2net.com/en/developer/libftdi/"
makedepends=('libusbx' 'boost' 'cmake' 'gcc' 'python' 'swig' 'doxygen' 'confuse')
source=("http://www.intra2net.com/en/developer/libftdi/download/${pkgbase}1-${pkgver}.tar.bz2")
sha1sums=('5be76cfd7cd36c5291054638f7caf4137303386f')

build() {
  tar xjf ${pkgbase}1-${pkgver}.tar.bz2
  cd "${pkgbase}1-${pkgver}"
  sed -i "s|NOT LIB_SUFFIX|NOT DEFINED LIB_SUFFIX|g" CMakeLists.txt
  cmake . -DCMAKE_INSTALL_PREFIX=/usr \
          -DLIB_SUFFIX="" \
          -DCMAKE_SKIP_RPATH=ON
  make
}

check() {
  cd "${pkgbase}1-${pkgver}"
  make check
}

package_libftdi() {
  pkgdesc="FTDI USB driver with bitbang mode"
  depends=('libusbx' 'confuse')

  cd "${pkgbase}1-${pkgver}"
  make DESTDIR=${pkgdir} install -C src
  make DESTDIR=${pkgdir} install -C ftdipp
  make DESTDIR=${pkgdir} install -C ftdi_eeprom
}

package_python-libftdi() {
  pkgdesc="Python bindings for LibFTDI"
  depends=("${pkgbase}" 'python')

  cd "${pkgbase}1-${pkgver}"
  make DESTDIR=${pkgdir} install -C bindings
}

Offline

#2 2013-02-14 12:08:25

mariusmeyer
Member
From: Norway
Registered: 2009-04-25
Posts: 244

Re: libftdi package upgrade

If he needs help then he will probably take you up on your offer and reply to the email smile if not, it just means that he has not yet had the time to do it, or there is a known bug or any other valid reason.

Offline

#3 2013-03-01 13:51:30

xantares
Member
Registered: 2013-02-14
Posts: 11

Re: libftdi package upgrade

Hi,

It's been a month since I flagged it, still no reply.
Should I wait any longer ?

Regards.

Offline

#4 2013-03-01 14:58:04

Barthalion
Developer
From: Poland
Registered: 2010-02-26
Posts: 109

Re: libftdi package upgrade

I just adopted it, hopefully I'll push the new version on the weekend.


Arch Linux - rolling release distro, which users want to downgrade to the previous version

Offline

Board footer

Powered by FluxBB